Summary: Firmware for the Intel PRO/Wireless 3945ABG/BG Network Connection
Name: iwl3945-firmware
Version: 15.32.2.9
Release: 4.slc5
License: distributable
Group: System Environment/Kernel
Source0: iwlwifi-3945-ucode-%{version}.tgz
Source1: iwlwifi-3945.ucode
Source2: iwlwifi-3945-1.ucode
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware for the iwl3945 driver.
Usage of the firmware is subject to the terms contained in
%{_defaultdocdir}/%{name}-%{version}/LICENSE.  Please read
the license carefully.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p iwlwifi-3945-ucode-%{version}/*.ucode %{buildroot}/lib/firmware/
install -p %{SOURCE1} %{buildroot}/lib/firmware/
install -p %{SOURCE2} %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc iwlwifi-3945-ucode-%{version}/README.iwlwifi-3945-ucode iwlwifi-3945-ucode-%{version}/LICENSE.iwlwifi-3945-ucode
/lib/firmware/*

%changelog
* Wed Apr 07 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 15.32.2.9
- initial release.

